> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adskull.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List AdSkull voice library



## OpenAPI

````yaml /api/openapi.yaml get /v1/voices
openapi: 3.1.0
info:
  title: AdSkull Public API
  version: 1.0.0
  summary: Public API for AdSkull creative generation.
  description: >
    Create AI ad assets, images, videos, voiceovers, custom voices, and talking
    avatars.

    Responses expose AdSkull product resources.
servers:
  - url: https://api.adskull.io
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Models
  - name: Assets
  - name: Images
  - name: Videos
  - name: Voices
  - name: Talking Avatars
  - name: Webhooks
  - name: LLM
  - name: LLM OpenAI Compat
  - name: LLM Anthropic Compat
paths:
  /v1/voices:
    get:
      tags:
        - Voices
      summary: List AdSkull voice library
      operationId: listVoices
      responses:
        '200':
          description: Voices.
          content:
            application/json:
              schema:
                type: object
                required:
                  - object
                  - data
                properties:
                  object:
                    type: string
                    const: list
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Voice'
      security:
        - bearerAuth:
            - voices:read
components:
  schemas:
    Voice:
      type: object
      required:
        - id
        - object
        - name
      properties:
        id:
          type: string
          example: ahmed
        object:
          type: string
          const: voice
        name:
          type: string
        description:
          type: string
        locale:
          type: string
          nullable: true
        preview_url:
          type: string
          format: uri
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````